//fonts
$ff-fontawesome4: 'FontAwesome';
$ff-fontawesome5: 'Font Awesome 5 Pro';

$ff-geometria:  'Geometria';
$ff-museo: 	    'Museo';
$ff-montserrat: 'Montserrat';
$ff-ibm: 	    'IBM Plex Sans';

$ff-accent0: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !default;
$ff-accent1: 'Favorit Pro', $ff-accent0 !default;
$ff-accent2: 'Favorit Pro', $ff-accent0 !default;
$ff-accent3: $ff-fontawesome5;

$ff1: $ff-accent1;
$ff2: $ff-accent2;
$ff3: $ff-accent3;

$fw-thin: 100;
$fw-light: 300;
$fw-default: 400;
$fw-medium: 500;
$fw-middle: $fw-medium;
$fw-semibold: $fw-middle;
$fw-normal: $fw-default;
$fw-regular: $fw-default;
$fw-bold: 700;
$fw-black: 900;

//--
$transit-duration: 250ms;
$transit_duration_fast: 150ms;
$transit_duration_long: 600ms;
$transit_duration_verylong: 1s;
$transit_type: ease-out;

$xr1: .8rem;
$xr2: $xr1 * 2; //16
$xr3: $xr1 * 3; //24
$xr4: $xr1 * 4; //32
$xr5: $xr1 * 5; //40
$xr6: $xr1 * 6; //48
$xr7: $xr1 * 7; //56
$xr8: $xr1 * 8; //64
$xr9: $xr1 * 9; //72
$xr10: $xr1 * 10; //80
$xr11: $xr1 * 11; //88
$xr12: $xr1 * 12; //96

$x0_5: 5px;
$x1: 8px;
$x1_5: $x1 * 1.5; //12
$x2: $x1 * 2; //16
$x2_5: $x1 * 2.5; //20
$x3: $x1 * 3; //24
$x4: $x1 * 4; //32
$x5: $x1 * 5; //40
$x6: $x1 * 6; //48
$x7: $x1 * 7; //56
$x8: $x1 * 8; //64
$x9: $x1 * 9; //72
$x10: $x1 * 10; //80
$x11: $x1 * 11; //88
$x12: $x1 * 12; //96

//$body-bg: #0E0A04;
$dark: #0E0A04;

$bbr: 4px;

//--
$accent: #A4F375; //#00bd58 rgb(0, 189, 88)  #0077f5
$accent_lighten: lighten($accent, 7.5%);
$accent_darken: darken($accent, 7.5%);

$a1_hover: $accent_lighten;
$a1_focus: $accent;
$a1_pressed: $accent_darken;
$a1_active: $a1_pressed;
$a1_disabled: lighten($accent, 40%); //#FF6332 op 0.4
$a1_loader: $accent;

//accent - primary
$accent1: $accent;
$accent1_lighten: $accent_lighten;
$accent1_darken: $accent_darken;

$a1: $accent1;
$a1l: $accent1_lighten;
$a1d: $accent1_darken;
$a1d_30: darken($accent, 30%);

$a1_50: rgba($a1, .5);

$accent2:  #BB95F1;
$accent2_lighten: lighten($accent2, 7.5%);
$accent2_darken: darken($accent2, 7.5%);

$a2: $accent2;
$a2l: $accent2_lighten;
$a2d: $accent2_darken;

//accent3 - success
$accent3: #1EAC3D;
$accent3_lighten: lighten($accent3, 7.5%);
$accent3_darken: #1e6eb6;

$a3: $accent3;

//accent4 - danger
$accent4: #FF0C0C;
$accent4_lighten: lighten($accent4, 7.5%);
$accent4_darken: #e00;

$a4: $accent4;

//accent5 - warning
$accent5: #ffc107;
$accent5_lighten: lighten($accent5, 7.5%);
$accent5_darken: #004d91;

$a5: $accent5;

//accent6 - info
$accent6: #17a2b8;
$accent6_lighten: lighten($accent6, 7.5%);
$accent6_darken:darken($accent6, 7.5%);

$a6: $accent6;

$brr: 4px;
$border-radius-large: $x1;

//---gray
$gray: #545454;
$gray1: $gray;
$gray2: #999BA3;

$grey: $gray;
$grey1: $gray1;
$grey2: $gray2;

$bg_accent: #DCEFF4;
$bg_accent1: $bg_accent;
$bg_accent2: #F4DFDC;
$bg_accent3: #DCF4E1;

//---title
$kg-title-color: $gray1;

//---text
$paragraph-dark: #777;
$paragraph: #999;
$gray-text: #333;
$placeholder: #959895;

//---mutted
$mutted-dark: #555;
$mutted: $mutted-dark;

//---inputs
$kg-input-bg: #F8F8F8;
$kg-input-bg2: #DCDCE6;

$kg-input-border: #DCDCE6;
$kg-input-label: #999BA3;
$kg-input-autofill: #545454;

//------------------------------------card
$card-border-radius: 2px;
$card-border: #eeeef0; ///#eaeaea
$card-border_hover: $accent;

$card-border_darken: #ced4da;

$card-hover: #f0f0f0;

$brr-m: 4px;
$border-radius-base: 4px;
$brb: 4px;
//$brb: $border-radius-base;

$brdr: #EFEEED; // rgba(32,16,0,.07)

//------------------------------------bg
//фоны светлые
//color-bg-accents
$bgc1: #f9fafe;
$bgc2: #F2F5EC;
$bgc3: #f0f0f0;
$bgc4: #efefef;
$bgc5: #e5e5e5;
$bgc6: #e0e0e0;

$bgcb1: #f5f6fa;
$bgcb2: #d7d8de;
$bgcb2_lighten: lighten(#d7d8de, 7%);
$bgcb3: #464648;
$bgcb4: #191919;

$bga1: #F4F2F0;
$bga2: #f7ebe1;
$a22: $bga2;

$mutted: #666;

//
$pearl_gray: #c6cad8;
$dark-blue: #000033;
$carbone_lighten: #62687f;
$link-gray: #a9a9a9;
$link-blue-gray: #adb6bf;

//- resolution
$r16x9: 56.25%;
